Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface DictLiteralPart

All Known Implementing Classes:
  DictLiteralPartImpl

    public interface DictLiteralPart

A representation of the model object 'Dict Literal Part'.

The following features are supported:

- `Key`
- `Value`

See Also:
  `ImperativeOCLPackage.getDictLiteralPart()`

Method Summary
`OCLExpression` | `getKey()` Returns the value of the 'Key' containment reference
`OCLExpression` | `getValue()` Returns the value of the 'Value' containment reference
`void` | `setKey(OCLExpression value)` Sets the value of the '`Key`' containment reference
`void` | `setValue(OCLExpression value)` Sets the value of the '`Value`' containment reference

Method Detail

### getKey

    OCLExpression getKey()

  Returns the value of the 'Key' containment reference.

  If the meaning of the 'Key' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Key' containment reference.
  See Also:
    `setKey(OCLExpression)`, `ImperativeOCLPackage.getDictLiteralPart_Key()`

### setKey

    void setKey(OCLExpression value)

  Sets the value of the '`Key`' containment reference.

  Parameters:
    `value` - the new value of the 'Key' containment reference.
  See Also:
    `getKey()`

### getValue

    OCLExpression getValue()

  Returns the value of the 'Value' containment reference.

  If the meaning of the 'Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `setValue(OCLExpression)`, `ImperativeOCLPackage.getDictLiteralPart_Value()`

### setValue

    void setValue(OCLExpression value)

  Sets the value of the '`Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Value' containment reference.
  See Also:
    `getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD